BP_MUTATE(1p)

NAME
bp_mutate.pl - randomly mutagenize a single protein or DNA sequence

SYNOPSIS
  ./bp_mutate.pl -p 25 -i test.fa -n 5 -f swiss -o muts.swiss

  #or

  ./bp_mutate.pl --percent=25 --input=test.fa --number=5 -output=x.fa

DESCRIPTION
Randomly mutagenize a single protein or DNA sequence one or more times. Specify percentage mutated and number of resulting mutant sequences. Print mutagenized sequences to STDOUT or write to an output file.

  -h|--help    Help
  -p|--percent Percent mutagenized
  -n|--number  Number of mutant sequences created
  -o|--output  Output file (optional)
  -f|--format  Output format (default: fasta)
  -i|--input   Input file

FEEDBACK
User feedback is an integral part of the evolution of this and other Bioperl scripts. Send your comments and suggestions to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR
Brian Osborne, bosborne at alum.mit.edu